## fslpy 0.10.0

=== requirements.txt ===
cython>=0.24
six>=1.10.0
numpy>=1.11.1
matplotlib>=1.5.1
nibabel>=2.1
sphinx>=1.4.1
sphinx-rtd-theme>=0.1.9
indexed_gzip>=0.3.1

=== debian/changelog ===
fslpy (0.10.0-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Fri, 07 Apr 2017 18:04:40 +0200

fslpy (0.10.0-1) UNRELEASED; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Wed, 05 Apr 2017 20:26:10 +0200

=== debian/control ===
Source: fslpy
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>
Section: non-free/python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-pytest,
               python3-pytest,
               python-pytest-runner,
               python3-pytest-runner,
               python-indexed-gzip,
               python3-indexed-gzip,
               python-nibabel,
               python3-nibabel,
               python-six,
               python3-six,
Standards-Version: 3.9.8
X-Python-Version: >= 2.7

Package: python-fsl
Architecture: all
Section: non-free/python
Depends: neurodebian-popularity-contest, python-lxml,
         python-nibabel,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-wxgtk3.0
Provides: ${python:Provides}
Conflicts: fsl-melview (<= 1.0.1+git9-ge661e05~dfsg.1-1)
Description: FSL Python library
 Support library for FSL.
 .
 This package provides the Python 2 module.

Package: python3-fsl
Architecture: all
Section: non-free/python
Depends: neurodebian-popularity-contest, python3-lxml,
         python3-nibabel,
         ${misc:Depends},
         ${python3:Depends},
Provides: ${python3:Provides}
Description: FSL Python library
 Support library for FSL.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/^v//' -e 's/-/+git/').1

export DH_VERBOSE = 1
export PYBUILD_NAME = fsl
# tests are not PY3 compatible
export PYBUILD_DISABLE = test/python3
export PYBUILD_TEST_ARGS = --niter 1 --ignore tests/test_image.py

# one ring to rule them all ...
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

clean::
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build
	-rm -rf fslpy.egg-info/

override_dh_install:
	dh_install
	# otherwise we get the binaries in both packages
	rm -r debian/python3-fsl/usr/bin

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
#	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
#		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
	git archive --format=tar --prefix=$(srcpkg)-$(upstreamver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(upstreamver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done

## fslpy 1.2.2

=== requirements.txt ===
six==1.*
deprecation==1.*
numpy==1.*
nibabel==2.*
indexed_gzip==0.*
wxPython>=3.0.2.0,<4.1

=== debian/changelog ===
fslpy (1.2.2-2~nd17.10+1+nd18.04+1) bionic; urgency=medium

  * Backported for bionic.

 -- unamed <unknown>  Thu, 17 May 2018 15:35:59 -0400

fslpy (1.2.2-2~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 30 Mar 2018 12:47:39 -0400

fslpy (1.2.2-2) neurodebian; urgency=medium

  * debian/patches/up_deprecation - relax versioning

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 Mar 2018 12:33:27 -0400

fslpy (1.2.2-1) neurodebian; urgency=medium

  * New upstream release (missed many)

 -- Michael Hanke <mih@debian.org>  Sat, 21 Oct 2017 11:45:06 +0200

fslpy (0.11.0-1) neurodebian; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Thu, 27 Apr 2017 08:31:02 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 
 export DH_VERBOSE = 1
 export PYBUILD_NAME = fsl
+# disable tests for now, needs X, needs non-free data
 # tests are not PY3 compatible
-export PYBUILD_DISABLE = test/python3
-export PYBUILD_TEST_ARGS = --niter 1 --ignore tests/test_image.py
+export PYBUILD_DISABLE = test/python3 test/python2
+# atlas tests need non-free data
+export PYBUILD_TEST_ARGS = --niter 1 --ignore tests/test_image.py --ignore tests/test_atlases
 
 # one ring to rule them all ...
 %:
@@ -25,11 +27,16 @@
 	# Ahhhhhhh!
 	rm -rf .pybuild build
 	-rm -rf fslpy.egg-info/
+	-rm -rf assets
+	-rm -rf .eggs/
+	-rm -rf tests/__pycache__
+	-find . -name '*.pyc' -delete
 
 override_dh_install:
 	dh_install
-	# otherwise we get the binaries in both packages
-	rm -r debian/python3-fsl/usr/bin
+
+override_dh_auto_test:
+	# all tests disabled, need external software, data and X
 
 # make orig tarball from repository content
 get-orig-source:
